<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html">audioPlayer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html">ProgressTimer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_progress_timer_8h_source.html">ProgressTimer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer_1_1_context_interface.html">ContextInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3dcd4c796edbc826163b0255e918109f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a3dcd4c796edbc826163b0255e918109f">ProgressTimer</a> ()</td></tr>
<tr class="separator:a3dcd4c796edbc826163b0255e918109f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37793c44e89f6882a773f1aaf12b9db0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a37793c44e89f6882a773f1aaf12b9db0">~ProgressTimer</a> ()</td></tr>
<tr class="separator:a37793c44e89f6882a773f1aaf12b9db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d6e7a535f6616cf49f9d855edacac2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">init</a> (const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer_1_1_context_interface.html">ContextInterface</a> &gt; &amp;context, std::chrono::milliseconds delay, std::chrono::milliseconds interval, std::chrono::milliseconds offset=std::chrono::milliseconds::zero())</td></tr>
<tr class="separator:a93d6e7a535f6616cf49f9d855edacac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59c86369460ee327a3144b9cde037128"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start</a> ()</td></tr>
<tr class="separator:a59c86369460ee327a3144b9cde037128"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e206a504e288fdb7355dc4f91d4b92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a82e206a504e288fdb7355dc4f91d4b92">pause</a> ()</td></tr>
<tr class="separator:a82e206a504e288fdb7355dc4f91d4b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10dad245876833723ffc919dbdb7652f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a10dad245876833723ffc919dbdb7652f">resume</a> ()</td></tr>
<tr class="separator:a10dad245876833723ffc919dbdb7652f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6476a7d49c0dceec72458a24d84efb5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop</a> ()</td></tr>
<tr class="separator:a6476a7d49c0dceec72458a24d84efb5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ceb8da007755d49941ea9cc5b3b69fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a8ceb8da007755d49941ea9cc5b3b69fa">onProgress</a> (std::chrono::milliseconds progress)</td></tr>
<tr class="separator:a8ceb8da007755d49941ea9cc5b3b69fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:aaa01331847ecd668ad7ffcb344340876"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#aaa01331847ecd668ad7ffcb344340876">NO_DELAY</a> {std::chrono::milliseconds::max()}</td></tr>
<tr class="memdesc:aaa01331847ecd668ad7ffcb344340876"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delay value for no ProgressReportDelayElapsed notifications.  <a href="#aaa01331847ecd668ad7ffcb344340876">More...</a><br /></td></tr>
<tr class="separator:aaa01331847ecd668ad7ffcb344340876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa3ef3ec5cbcd9adadd2820f2daa375a"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#afa3ef3ec5cbcd9adadd2820f2daa375a">NO_INTERVAL</a> {std::chrono::milliseconds::max()}</td></tr>
<tr class="memdesc:afa3ef3ec5cbcd9adadd2820f2daa375a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interval value for no ProgressReportIntervalElapsed notifications.  <a href="#afa3ef3ec5cbcd9adadd2820f2daa375a">More...</a><br /></td></tr>
<tr class="separator:afa3ef3ec5cbcd9adadd2820f2daa375a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ad5f2fec36319c3f6b1923b76072b5567"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#ad5f2fec36319c3f6b1923b76072b5567">operator&lt;&lt;</a> (std::ostream &amp;stream, ProgressTimer::State state)</td></tr>
<tr class="memdesc:ad5f2fec36319c3f6b1923b76072b5567"><td class="mdescLeft">&#160;</td><td class="mdescRight">Friend declaration to allow streaming <code>State</code> values.  <a href="#ad5f2fec36319c3f6b1923b76072b5567">More...</a><br /></td></tr>
<tr class="separator:ad5f2fec36319c3f6b1923b76072b5567"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Provides callbacks when ProgressReportDelayElapsed and ProgressReportIntervalElapsed events should be sent to AVS. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3dcd4c796edbc826163b0255e918109f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dcd4c796edbc826163b0255e918109f">&#9670;&nbsp;</a></span>ProgressTimer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::ProgressTimer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor. </p>

</div>
</div>
<a id="a37793c44e89f6882a773f1aaf12b9db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37793c44e89f6882a773f1aaf12b9db0">&#9670;&nbsp;</a></span>~ProgressTimer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::~ProgressTimer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a93d6e7a535f6616cf49f9d855edacac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93d6e7a535f6616cf49f9d855edacac2">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::init </td>
          <td>(</td>
          <td class="paramtype">const std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer_1_1_context_interface.html">ContextInterface</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>delay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>interval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>offset</em> = <code>std::chrono::milliseconds::zero()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Initialize for sending notifications that it is time to send a progress report. <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">init()</a></code> must be called before <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code> (without an intervening <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop()</a></code>) for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code> to deliver progress report callbacks.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>The context within which to operate. </td></tr>
    <tr><td class="paramname">delay</td><td>The offset (in milliseconds from the start of the track) at which to send the <code>ProgressReportDelayElapsed</code> event. If delay is <code>NO_DELAY</code>, no <code>ProgressReportDelayElapsed</code> notifications will be sent. </td></tr>
    <tr><td class="paramname">interval</td><td>The interval (in milliseconds from the start of the track) at which to send <code>ProgressReportIntervalElapsed</code> events. If interval is <code>NO_INTERVAL</code>, no <code>ProgressReportIntervalElapsed</code> notifications will be sent. </td></tr>
    <tr><td class="paramname">offset</td><td>The offset (in milliseconds from the start of the track) at which playback of the track will start. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8ceb8da007755d49941ea9cc5b3b69fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ceb8da007755d49941ea9cc5b3b69fa">&#9670;&nbsp;</a></span>onProgress()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::onProgress </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>progress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Notification of the current progress.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">progress</td><td>The offset (in milliseconds from the start of the track) of playback. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a82e206a504e288fdb7355dc4f91d4b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e206a504e288fdb7355dc4f91d4b92">&#9670;&nbsp;</a></span>pause()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::pause </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Pause sending notifications when it is time to send progress reports. <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a82e206a504e288fdb7355dc4f91d4b92">pause()</a></code> should be called after <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code> or <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a10dad245876833723ffc919dbdb7652f">resume()</a></code> (without an intervening <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop()</a></code>) or it will do nothing. </p>

</div>
</div>
<a id="a10dad245876833723ffc919dbdb7652f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10dad245876833723ffc919dbdb7652f">&#9670;&nbsp;</a></span>resume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::resume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Resume sending notifications when it is time to send progress reports. <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a10dad245876833723ffc919dbdb7652f">resume()</a></code> should be called after <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a82e206a504e288fdb7355dc4f91d4b92">pause()</a></code> (without an intervening <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop()</a></code>) otherwise it will do nothing. </p>

</div>
</div>
<a id="a59c86369460ee327a3144b9cde037128"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59c86369460ee327a3144b9cde037128">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Start sending notifications when it is time to send progress reports. <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">init()</a></code> must be called before <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code> (without an intervening <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop()</a></code>) for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code> to deliver progress report callbacks. </p>

</div>
</div>
<a id="a6476a7d49c0dceec72458a24d84efb5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6476a7d49c0dceec72458a24d84efb5c">&#9670;&nbsp;</a></span>stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Stop sending notifications when it is time to send progress reports. <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a6476a7d49c0dceec72458a24d84efb5c">stop()</a></code> can be called after <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">init()</a></code>, <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a59c86369460ee327a3144b9cde037128">start()</a></code>, <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a82e206a504e288fdb7355dc4f91d4b92">pause()</a></code>, and <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a10dad245876833723ffc919dbdb7652f">resume()</a></code> to reset a <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html">ProgressTimer</a></code> to it's pre <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">init()</a></code> state. </p>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="ad5f2fec36319c3f6b1923b76072b5567"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5f2fec36319c3f6b1923b76072b5567">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ProgressTimer::State&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Friend declaration to allow streaming <code>State</code> values. </p>
<p class="">Write a <code>ProgressTimer::State</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">state</td><td>The state to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aaa01331847ecd668ad7ffcb344340876"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa01331847ecd668ad7ffcb344340876">&#9670;&nbsp;</a></span>NO_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::NO_DELAY {std::chrono::milliseconds::max()}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Delay value for no ProgressReportDelayElapsed notifications. </p>

</div>
</div>
<a id="afa3ef3ec5cbcd9adadd2820f2daa375a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa3ef3ec5cbcd9adadd2820f2daa375a">&#9670;&nbsp;</a></span>NO_INTERVAL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::NO_INTERVAL {std::chrono::milliseconds::max()}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interval value for no ProgressReportIntervalElapsed notifications. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/AudioPlayer/include/AudioPlayer/<a class="el" href="_progress_timer_8h_source.html">ProgressTimer.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/AudioPlayer/src/<a class="el" href="_progress_timer_8cpp.html">ProgressTimer.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
